Subject: bug#13711: 24.3.50; Crash - when applying solarized color theme.

From: Yves Baumes <[email-masked]>
Date: Thu, 14 Feb 2013 00:15:15 +0100

I was not in an "-Q" session, but very close. After playing a long time
with EmacsStarterKit I decided to re-start from scratch using a new
`init.el' file. When the crash occured it was containing only those lines:

;; Mer 13 fév 21:37:50 2013
(setq inhibit-startup-screen t)

(defun yba-insert-date ()
  "Insert date time at point."
  (interactive)
  (insert (format-time-string "%c" (current-time))))

(eval-after-load
    "package"
  '(add-to-list
    'package-archives
    '("marmalade" . "http://marmalade-repo.org/packages/")))

Just enough to configure marmalade access, try out some
color-themes. I've launched solarized finally. The "dark" version first,
then I wanted to try out the "light" version but I didn't get the chance
to see it since Emacs just crashed while in the process of loading it.

I've just relaunched it, copy/paste my SMTP information in order to send
that report, and now switching both dark and light version of
color-theme-solarized is ok.  huhhh.. While I didn't reproduced the
scenario exactly I will see if I can do that. Anyway, here is the MacOsX
crash report:

----------------------------------------------------------------------
Process:         Emacs [1989]
Path:            /Applications/Emacs.app/Contents/MacOS/Emacs
Identifier:      org.gnu.Emacs
Version:         Version 24.3.50 (9.0)
Code Type:       X86-64 (Native)
Parent Process:  launchd [106]

Date/Time:       2013-02-13 23:50:25.820 +0100
OS Version:      Mac OS X 10.6.8 (10K549)
Report Version:  6

Interval Since Last Report:          322756 sec
Crashes Since Last Report:           1
Per-App Interval Since Last Report:  435624 sec
Per-App Crashes Since Last Report:   1
Anonymous UUID:                      14F96D2B-A49B-42DC-9E93-C87DEC91187D

Exception Type:  EXC_BAD_ACCESS (SIGABRT)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000019
Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
0   libSystem.B.dylib             	0x00007fff876f40b6 __kill + 10
1   org.gnu.Emacs                 	0x000000010009f9e4 terminate_due_to_signal + 116 (emacs.c:346)
2   org.gnu.Emacs                 	0x00000001000b9e63 0x100000000 + 761443
3   org.gnu.Emacs                 	0x0000000100184d4f ns_term_shutdown + 79 (nsterm.m:4293)
4   org.gnu.Emacs                 	0x000000010009d815 shut_down_emacs + 197 (emacs.c:1961)
5   org.gnu.Emacs                 	0x000000010009f9bb terminate_due_to_signal + 75 (emacs.c:328)
6   org.gnu.Emacs                 	0x00000001000b9e7e 0x100000000 + 761470
7   org.gnu.Emacs                 	0x00000001000ba2e2 deliver_fatal_thread_signal + 146 (sysdep.c:1628)
8   libSystem.B.dylib             	0x00007fff877061ba _sigtramp + 26
9   libobjc.A.dylib               	0x00007fff86b56104 objc_msgSend_vtable13 + 12
10  org.gnu.Emacs                 	0x00000001001920b6 x_set_background_color + 86 (nsfns.m:373)
11  org.gnu.Emacs                 	0x000000010001096c x_set_frame_parameters + 492 (frame.c:2640)
12  org.gnu.Emacs                 	0x00000001000113c5 Fmodify_frame_parameters + 501 (frame.c:2200)
13  org.gnu.Emacs                 	0x0000000100097a1d Finternal_set_lisp_face_attribute + 1421 (xfaces.c:3282)
14  org.gnu.Emacs                 	0x0000000100116ef6 Ffuncall + 1014 (eval.c:2686)
15  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
16  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
17  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
18  org.gnu.Emacs                 	0x00000001001158e7 Fapply + 375 (eval.c:2209)
19  org.gnu.Emacs                 	0x0000000100116f66 Ffuncall + 1126 (eval.c:2656)
20  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
21  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
22  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
23  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
24  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
25  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
26  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
27  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
28  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
29  org.gnu.Emacs                 	0x0000000100118a9e call1 + 30 (eval.c:2470)
30  org.gnu.Emacs                 	0x000000010009b5c3 update_face_from_frame_parameter + 355 (xfaces.c:3325)
31  org.gnu.Emacs                 	0x0000000100192213 x_set_background_color + 435 (nsfns.m:396)
32  org.gnu.Emacs                 	0x000000010001096c x_set_frame_parameters + 492 (frame.c:2640)
33  org.gnu.Emacs                 	0x00000001000113c5 Fmodify_frame_parameters + 501 (frame.c:2200)
34  org.gnu.Emacs                 	0x0000000100097a1d Finternal_set_lisp_face_attribute + 1421 (xfaces.c:3282)
35  org.gnu.Emacs                 	0x0000000100116ef6 Ffuncall + 1014 (eval.c:2686)
36  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
37  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
38  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
39  org.gnu.Emacs                 	0x00000001001158e7 Fapply + 375 (eval.c:2209)
40  org.gnu.Emacs                 	0x0000000100116f66 Ffuncall + 1126 (eval.c:2656)
41  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
42  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
43  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
44  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
45  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
46  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
47  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
48  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
49  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
50  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
51  org.gnu.Emacs                 	0x0000000100116392 eval_sub + 1538 (eval.c:2046)
52  org.gnu.Emacs                 	0x0000000100118d56 internal_lisp_condition_case + 518 (eval.c:1147)
53  org.gnu.Emacs                 	0x000000010014dea1 exec_byte_code + 2033 (bytecode.c:1094)
54  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
55  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
56  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
57  org.gnu.Emacs                 	0x0000000100116a1b funcall_lambda + 763 (eval.c:2907)
58  org.gnu.Emacs                 	0x00000001001179d3 apply_lambda + 275 (eval.c:2784)
59  org.gnu.Emacs                 	0x0000000100115fc6 eval_sub + 566 (eval.c:2115)
60  org.gnu.Emacs                 	0x00000001001166fd Fprogn + 45 (eval.c:359)
61  org.gnu.Emacs                 	0x0000000100116ab1 funcall_lambda + 913 (eval.c:2900)
62  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
63  org.gnu.Emacs                 	0x00000001001137e6 Fcall_interactively + 6374 (callint.c:852)
64  org.gnu.Emacs                 	0x0000000100116f0d Ffuncall + 1037 (eval.c:2682)
65  org.gnu.Emacs                 	0x00000001001170e6 call3 + 38 (eval.c:2501)
66  org.gnu.Emacs                 	0x0000000100116ef6 Ffuncall + 1014 (eval.c:2686)
67  org.gnu.Emacs                 	0x000000010014d9e6 exec_byte_code + 822 (bytecode.c:898)
68  org.gnu.Emacs                 	0x0000000100116cf4 Ffuncall + 500 (eval.c:2736)
69  org.gnu.Emacs                 	0x00000001001158e7 Fapply + 375 (eval.c:2209)
70  org.gnu.Emacs                 	0x0000000100115b42 apply1 + 50 (eval.c:2445)
71  org.gnu.Emacs                 	0x00000001001121a5 Fcall_interactively + 677 (callint.c:377)
72  org.gnu.Emacs                 	0x0000000100116f0d Ffuncall + 1037 (eval.c:2682)
73  org.gnu.Emacs                 	0x00000001001170e6 call3 + 38 (eval.c:2501)
74  org.gnu.Emacs                 	0x00000001000b0c6c command_loop_1 + 1084 (keyboard.c:1594)
75  org.gnu.Emacs                 	0x0000000100115645 internal_condition_case + 309 (eval.c:1193)
76  org.gnu.Emacs                 	0x00000001000a8347 command_loop_2 + 55 (keyboard.c:1174)
77  org.gnu.Emacs                 	0x000000010011574e internal_catch + 222 (eval.c:964)
78  org.gnu.Emacs                 	0x00000001000a8bcc recursive_edit_1 + 364 (keyboard.c:1153)
79  org.gnu.Emacs                 	0x00000001000a8d43 Frecursive_edit + 291 (keyboard.c:850)
80  org.gnu.Emacs                 	0x000000010009eb53 main + 2931 (emacs.c:1559)
81  org.gnu.Emacs                 	0x0000000100002424 start + 52

Thread 1:  Dispatch queue: com.apple.libdispatch-manager
0   libSystem.B.dylib             	0x00007fff876bec0a kevent + 10
1   libSystem.B.dylib             	0x00007fff876c0add _dispatch_mgr_invoke + 154
2   libSystem.B.dylib             	0x00007fff876c07b4 _dispatch_queue_invoke + 185
3   libSystem.B.dylib             	0x00007fff876c02de _dispatch_worker_thread2 + 252
4   libSystem.B.dylib             	0x00007fff876bfc08 _pthread_wqthread + 353
5   libSystem.B.dylib             	0x00007fff876bfaa5 start_wqthread + 13

Thread 2:
0   libSystem.B.dylib             	0x00007fff876e9932 select$DARWIN_EXTSN + 10
1   org.gnu.Emacs                 	0x000000010018c338 -[EmacsApp fd_handler:] + 632 (nsterm.m:4607)
2   com.apple.Foundation          	0x00007fff824d8114 __NSThread__main__ + 1429
3   libSystem.B.dylib             	0x00007fff876defd6 _pthread_start + 331
4   libSystem.B.dylib             	0x00007fff876dee89 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000006  rcx: 0x00007fff5fbfc548  rdx: 0x0000000000000000
  rdi: 0x00000000000007c5  rsi: 0x0000000000000006  rbp: 0x00007fff5fbfc570  rsp: 0x00007fff5fbfc548
   r8: 0x00007fff708ff760   r9: 0x00007fff5fbfc4f0  r10: 0x00007fff87707542  r11: 0x0000000000000202
  r12: 0x0000000000000028  r13: 0x000000010180303a  r14: 0x000000000000000b  r15: 0x0000000100520d80
  rip: 0x00007fff876f40b6  rfl: 0x0000000000000202  cr2: 0x00000001000eb000

In the hope it will help...

Regards
Yves

----------------------------------------------------------------------

In GNU Emacs 24.3.50.1 (x86_64-apple-darwin10.8.0, NS apple-appkit-1038.36)
 of 2013-02-13 on mac-mini-de-yves-baumes.local
Bzr revision: 111768 [email-masked]
Windowing system distributor `Apple', version 10.3.1038
Configured using:
 `configure --with-ns'

Important settings:
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f e m a c s 0 <backspace> - f u <backspace> i 
i l e <backspace> <backspace> <backspace> l e <tab> 
<tab> <tab> e m a <tab> e l <tab> <return> M-} M-} 
M-} M-} M-{ M-{ M-{ M-} M-} M-{ M-{ M-} M-} M-{ M-} 
M-} M-} M-} M-} M-} M-} M-{ M-{ M-} M-} M-} M-{ M-} 
M-} M-} M-} M-} M-} M-} M-} M-} M-} M-} M-} M-} M-} 
M-} M-} M-} M-} M-} M-} M-} M-} M-{ C-S-SPC M-} M-W 
C-x C-f , <backspace> <backspace> <M-backspace> <M-backspace> 
. <backspace> . e m <backspace> m a c s . s <backspace> 
d <tab> <tab> <tab> / <tab> <tab> i n i <tab> <return> 
M-> <return> C-y M-y C-SPC M-{ M-x i n d e n <tab> 
0 <backspace> - <tab> t r <tab> <backspace> <backspace> 
r e <tab> <return> <tab> <tab> <tab> <tab> <tab> <backspace> 
<backspace> <backspace> <backspace> <backspace> <tab> 
<tab> <tab> <tab> - r e <tab> g i <tab> <return> C-n 
C-n C-k C-k C-k C-k C-x C-s M-} M-{ M-} M-x b u g <tab> 
<tab> <M-backspace> <M-backspace> e m c <backspace> 
a c s <tab> <tab> b u <tab> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o <tab> <tab> r t <tab> <return>

Recent messages:
Saved text from "
;; SMTP configuration:
;;(require 'smtp"
Making completion list... [2 times]
Mark set [3 times]
Making completion list... [6 times]
You can run the command `indent-region' with C-M-\
Saving file /Users/keugaerg/.emacs.d/init.el...
Wrote /Users/keugaerg/.emacs.d/init.el
Making completion list... [3 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils vc-git help-mode easymenu
color-theme-dawn-night-autoloads
color-theme-emacs-revert-theme-autoloads color-theme-molokai-autoloads
color-theme-monokai-autoloads color-theme-autoloads
color-theme-sanityinc-solarized-autoloads
color-theme-sanityinc-tomorrow-autoloads color-theme-solarized-autoloads
color-theme-twilight-autoloads color-theme-vim-insert-mode-autoloads
package time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel
ns-win tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process ns
multi-tty emacs)